Skip to main content
POST
/
compute
/
clusters
/
{cluster_id}
/
instances
/
{instance_id}
/
remediations
cURL
curl --request POST \
  --url https://api.together.xyz/v1/compute/clusters/{cluster_id}/instances/{instance_id}/remediations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "mode": "REMEDIATION_MODE_VM_ONLY",
  "reason": "<string>"
}
'
{
  "id": "<string>",
  "cluster_id": "<string>",
  "instance_id": "<string>",
  "mode": "REMEDIATION_MODE_VM_ONLY",
  "trigger": "REMEDIATION_TRIGGER_MANUAL",
  "state": "PENDING_APPROVAL",
  "reason": "<string>",
  "active_health_check_run_id": "<string>",
  "passive_health_check_event_id": "<string>",
  "requested_by": "<string>",
  "create_time": "2023-11-07T05:31:56Z",
  "reviewed_by": "<string>",
  "review_time": "2023-11-07T05:31:56Z",
  "review_comment": "<string>",
  "start_time": "2023-11-07T05:31:56Z",
  "end_time": "2023-11-07T05:31:56Z",
  "error_message": "<string>",
  "update_time": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cluster_id
string
required
instance_id
string
required

Query Parameters

remediation_id
string

User provided ID for idempotency.

Body

application/json
mode
enum<string>
required

Remediation mode specifies how the remediation should be performed.

  • REMEDIATION_MODE_VM_ONLY: Deletes the VM and provisions a new one on any available host.
  • REMEDIATION_MODE_HOST_AWARE: Cordons the host, deletes the VM, and provisions a new one on a different host.
Available options:
REMEDIATION_MODE_VM_ONLY,
REMEDIATION_MODE_HOST_AWARE
reason
string

User-provided reason for the remediation.

Response

id
string
required
cluster_id
string
required
instance_id
string
required
mode
enum<string>
required

Remediation mode specifies how the remediation should be performed.

  • REMEDIATION_MODE_VM_ONLY: Deletes the VM and provisions a new one on any available host.
  • REMEDIATION_MODE_HOST_AWARE: Cordons the host, deletes the VM, and provisions a new one on a different host.
Available options:
REMEDIATION_MODE_VM_ONLY,
REMEDIATION_MODE_HOST_AWARE
trigger
enum<string>
required

RemediationTrigger specifies how the remediation was triggered.

  • REMEDIATION_TRIGGER_MANUAL: A user-initiated remediation (either via web UI or API call).
  • REMEDIATION_TRIGGER_AUTOMATED: A system-initiated remediation that requires approval.
Available options:
REMEDIATION_TRIGGER_MANUAL,
REMEDIATION_TRIGGER_AUTOMATED
state
enum<string>
required

RemediationState represents the lifecycle state of a remediation.

  • PENDING_APPROVAL: Awaiting approval before processing can begin.
  • PENDING: Approved and queued for processing.
  • RUNNING: Actively being processed.
  • SUCCEEDED: Successfully completed.
  • FAILED: Failed with an error.
  • CANCELLED: Cancelled by user or system.
  • AUTO_RESOLVED: The underlying issue was automatically resolved before processing.
Available options:
PENDING_APPROVAL,
PENDING,
RUNNING,
SUCCEEDED,
FAILED,
CANCELLED,
AUTO_RESOLVED
reason
string

User-provided reason for the remediation.

active_health_check_run_id
string

Active health check run ID (UUID) that triggered this remediation.

passive_health_check_event_id
string

Passive health check event ID that triggered this remediation.

requested_by
string

Who requested the remediation.

create_time
string<date-time>

When the remediation was created.

reviewed_by
string

Who reviewed the remediation.

review_time
string<date-time>

When the remediation was reviewed.

review_comment
string

Review comment.

start_time
string<date-time>

When processing started.

end_time
string<date-time>

When the remediation completed.

error_message
string

Error message if the remediation failed.

update_time
string<date-time>

When the remediation was last updated.